VelocityAppTestCase (Velocity 1.4 API)
Keywords: org.apache.velocity.test.VelocityAppTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.test
Class VelocityAppTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.velocity.test.BaseTestCase
                  org.apache.velocity.test.VelocityAppTestCase

All Implemented Interfaces:
  TemplateTestBase, junit.framework.Test

public class VelocityAppTestCase
extends BaseTestCase
implements TemplateTestBase

This class is intended to test the app.Velocity.java class.

Version:
  $Id: VelocityAppTestCase.java,v 1.3.14.1 2004/03/03 23:23:04 geirm Exp $
Author:
  Geir Magnusson Jr., Jon S. Stevens

Field Summary
`private java.io.StringWriter` | `compare1`
`private java.lang.String` | `input1`
`private java.lang.String` | `result1`

Fields inherited from class org.apache.velocity.test.BaseTestCase
``

Fields inherited from class junit.framework.TestCase
``

Fields inherited from interface org.apache.velocity.test.TemplateTestBase
`CMP_FILE_EXT, COMPARE_DIR, FILE_RESOURCE_LOADER_PATH, RESULT_DIR, RESULT_FILE_EXT, TEST_CASE_PROPERTIES, TMPL_FILE_EXT`

Constructor Summary
`VelocityAppTestCase()`

Method Summary
`void` | `runTest()` Runs the test.
`static junit.framework.Test` | `suite()`

Methods inherited from class org.apache.velocity.test.BaseTestCase
`assureResultsDirectoryExists, getFileName, getTestCaseName, isMatch, normalizeNewlines`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, name, run, run, runBare, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assert, assert, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertNotNull, assertNotNull, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### compare1

    private java.io.StringWriter compare1

### input1

    private java.lang.String input1

### result1

    private java.lang.String result1

Constructor Detail

### VelocityAppTestCase

    public VelocityAppTestCase()

Method Detail

### suite

    public static junit.framework.Test suite()

### runTest

    public void runTest()

  Runs the test.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.